# $Id: signing-party.spec 922 2008-11-16 19:28:09Z rpmbuild $
# repo: RE
# restrictions:

#
# spec file for package signing-party (Version 0.4.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.


# norootforbuild

Summary:      GPG Tools
Name:         signing-party
Version:      1.0
Release:      %RErelease 1
License:      Various Open Source Licenses
Group: Applications/Communications
URL: http://pgp-tools.alioth.debian.org/
Source:      http://ftp.debian.org/debian/pool/main/s/signing-party/signing-party_%{version}.orig.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-macros-razorsedge
Requires:     gnupg /usr/sbin/sendmail perl
#Requires:     perl-Text-Template perl-GnuPG-Interface perl-MIME-tools perl-MailTools
#Autoreqprov:  on

%description
PGP Tools is a collection for all kinds of pgp related things, including
signing scripts, party preparation scripts etc.

caff is a script that helps you in keysigning. It takes a list of
keyids on the command line, fetches them from a keyserver and calls
GnuPG so that you can sign it. It then mails each key to all its email
addresses - only including the one UID that we send to in each mail.

pgp-clean takes a list of keyids on the command line and outputs an
ascii-armored keyring on stdout for each key with all signatures
except self-signatures stripped. Its use is to reduce the size of keys
sent out after signing. (pgp-clean is a stripped-down caff version.)

gpg-key2ps will output a PostScript file which has your Key-ID, UIDs
and fingerprint nicely formatted for printing paper slips to take with
you to a signing-party.

Given one or more key-ids, gpg-mailkeys mails these keys to their
owners. You use this after you've signed them. By default, the mails
contain a standard text and your name and address as the From (as
determined by the sendmail command).

gpglist takes a keyid and creates a listing showing who signed your
user IDs.

gpgsigs was written to assist the user in signing keys during a
keysigning party. It takes as input a file containing keys in gpg
--list-keys format and prepends every line with a tag indicating if
the user has already signed that uid.

keylookup is a wrapper around gpg --search, allowing you to search for
keys on a keyserver. It presents the list of matching keys to the user
and allows her to select the keys for importing into the GnuPG
keyring.

Authors:
--------
Peter Palfrader <peter@palfrader.org>
Uli Martens <uli@youam.net>
Christoph Berg <cb@df7cb.de>
Thijs Kinkhorst <thijs@debian.org>
Christian Kurz <shorty@debian.org>
Simon Richter <sjr@debian.org>

%prep
%setup -qn signing-party-%{version}

%build
%{__make} %{?_smp_mflags}
%{__mv} gpg-key2ps/README gpg-key2ps/README.gpg-key2ps
%{__mv} gpg-mailkeys/README gpg-mailkeys/README.gpg-mailkeys
%{__mv} keylookup/NEWS keylookup/NEWS.keylookup
%{__mv} caff/README caff/README.caff
%{__mv} caff/THANKS caff/THANKS.caff
%{__mv} caff/TODO caff/TODO.caff

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT/usr/bin
%{__install} -m 755 caff/caff caff/pgp-clean caff/pgp-fixkey $RPM_BUILD_ROOT/usr/bin
%{__install} -m 755 gpg-key2ps/gpg-key2ps $RPM_BUILD_ROOT/usr/bin
%{__install} -m 755 gpglist/gpglist $RPM_BUILD_ROOT/usr/bin
%{__install} -m 755 gpg-mailkeys/gpg-mailkeys $RPM_BUILD_ROOT/usr/bin
%{__install} -m 755 gpgparticipants/gpgparticipants $RPM_BUILD_ROOT/usr/bin
%{__install} -m 755 gpgsigs/gpgsigs $RPM_BUILD_ROOT/usr/bin
%{__install} -m 755 keylookup/keylookup $RPM_BUILD_ROOT/usr/bin
%{__install} -m 755 sig2dot/sig2dot $RPM_BUILD_ROOT/usr/bin
%{__install} -m 755 springgraph/springgraph $RPM_BUILD_ROOT/usr/bin

%{__install} -d $RPM_BUILD_ROOT%_mandir/man1
%{__install} -m 644 caff/caff.1 caff/pgp-clean.1 caff/pgp-fixkey.1 $RPM_BUILD_ROOT%_mandir/man1
%{__install} -m 644 gpg-key2ps/gpg-key2ps.1 $RPM_BUILD_ROOT%_mandir/man1
%{__install} -m 644 gpglist/gpglist.1 $RPM_BUILD_ROOT%_mandir/man1
%{__install} -m 644 gpg-mailkeys/gpg-mailkeys.1 $RPM_BUILD_ROOT%_mandir/man1
%{__install} -m 644 gpgparticipants/gpgparticipants.1 $RPM_BUILD_ROOT%_mandir/man1
%{__install} -m 644 gpgsigs/gpgsigs.1 $RPM_BUILD_ROOT%_mandir/man1
%{__install} -m 644 keylookup/keylookup.1 $RPM_BUILD_ROOT%_mandir/man1
%{__install} -m 644 sig2dot/sig2dot.1 $RPM_BUILD_ROOT%_mandir/man1
%{__install} -m 644 springgraph/springgraph.1 $RPM_BUILD_ROOT%_mandir/man1


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc caff/README* caff/THANKS.caff caff/TODO.caff caff/caffrc.sample
%doc gpg-key2ps/README.gpg-key2ps
%doc gpg-mailkeys/example.gpg-mailkeysrc gpg-mailkeys/README.gpg-mailkeys
%doc gpgsigs/gpgsigs-lt2k5*.txt
%doc keylookup/NEWS.keylookup
%doc sig2dot/README.sig2dot
%doc springgraph/README.springgraph
%{_bindir}/*
%doc %{_mandir}/*/*


%changelog
* Sun Nov 16 2008 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.0-1
- First build.

* Sat Mar  3 2007 aj@suse.de
- Add missing requires for caff.
- Update to version 0.4.9.
* Wed Sep 13 2006 aj@suse.de
- Initial package.
